#include <SPI.h>
#include <Ethernet.h>

//Ethernet shield
// Enter a MAC address for your controller below.
byte mac[] = {0xDE, 0xAD, 0xBE, 0xEF, 0xEE, 0xEE };
// Set the static IP address to use if the DHCP fails to assign
IPAddress ip(192,168,10,214);
// the DNS server:
IPAddress dnServer(192,168,10,10);
// the router's gateway address:
IPAddress gateway(192,168,10,60);
// the subnet:
IPAddress subnet(255,255,255,0);
// Initialize the Ethernet client library
EthernetClient client;

// Homeseer 
IPAddress HSserver(192,168,10,179);
//char HSserver[] ="localhostHS-1000";
int HSport = 81;

void setup() {
  // Open serial communications and wait for port to open:
  Serial.begin(115200);
  // start the Ethernet connection:
  Serial.println("Initializing Ethernet Shield");
  if (Ethernet.begin(mac) == 0) {
    Serial.println("Failed to configure Ethernet using DHCP, will use static IP instead");
    // If DHCP fails use static config
    Ethernet.begin(mac, ip, dnServer, gateway, subnet);
  }
  Serial.print ("Initialized using IP address ");
  Serial.println(Ethernet.localIP());
  // give the Ethernet shield a second to initialize:
  delay(1000);
  httpRequest();
  
}

void loop(){
  if (client.available()) {
    char c = client.read();
    Serial.print(c);
  }  
}


void httpRequest()  {
  Serial.print("Connecting to Homeseer on ");  // if you get a connection, report back via serial:
  Serial.println(HSserver);
  
  if (client.connect(HSserver,HSport)) {
    Serial.print("Succesfully connected to Homeseer on port ");
    Serial.println(HSport);
    client.print("GET /test.aspx HTTP/1.1\r\n");
    client.print("Host: 192.168.10.179:81\r\n");
    client.print("Connection: keep-alive\r\n\r\n");
    client.print("Accept: text/html, application/xhtml+xml\r\n");
    client.print("User-Agent: blabla\r\n");
  } else {                            // you didn't get a connection to the server:
    Serial.println("Connection to Homeseer failed");
  }
  Serial.println("req sent");
}
